Package org.silverpeas.processmanager

## Class ProcessManagerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.silverpeas.core.exception.SilverpeasException
      - - org.silverpeas.processmanager.ProcessManagerException

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.exception.FromModule`, `org.silverpeas.core.exception.WithNested`
  Direct Known Subclasses:
    `ProcessManagerFatalException`

      public class ProcessManagerException
      extends org.silverpeas.core.exception.SilverpeasException

  Thrown by the processManager components.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.exception.SilverpeasException

      `ERROR, FATAL, WARNING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ProcessManagerException​(String caller, int level, String message)` | Set the caller, the level and the error message.
    `protected` | `ProcessManagerException​(String caller, int level, String message, Exception nestedException)` | Set the caller, the level, the error message and the nested exception.
    `protected` | `ProcessManagerException​(String caller, int level, String message, String infos)` | Set the caller, the level, the error message and infos.
    `protected` | `ProcessManagerException​(String caller, int level, String message, String infos, Exception nestedException)` | Set the caller, the level, the error message, infos and the nested exception.
    `` | `ProcessManagerException​(String caller, String message)` | Set the caller and the error message
    `` | `ProcessManagerException​(String caller, String message, Exception nestedException)` | Set the caller, the error message and the nested exception.
    `` | `ProcessManagerException​(String caller, String message, String infos)` | Set the caller, infos and the error message
    `` | `ProcessManagerException​(String caller, String message, String infos, Exception nestedException)` | Set the caller, the error message, infos and the nested exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getModule()` | Returns the module name.

    - ### Methods inherited from class org.silverpeas.core.exception.SilverpeasException

      `getChainedExceptions, getErrorLevel, getExtraInfos, getMessageLang, getMessageLang, getNested, printStackTrace, printStackTrace, printStackTrace, traceException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessManagerException

          public ProcessManagerException​(String caller,
                                         String message)

      Set the caller and the error message

    - #### ProcessManagerException

          public ProcessManagerException​(String caller,
                                         String message,
                                         Exception nestedException)

      Set the caller, the error message and the nested exception.

    - #### ProcessManagerException

          public ProcessManagerException​(String caller,
                                         String message,
                                         String infos)

      Set the caller, infos and the error message

    - #### ProcessManagerException

          public ProcessManagerException​(String caller,
                                         String message,
                                         String infos,
                                         Exception nestedException)

      Set the caller, the error message, infos and the nested exception.

    - #### ProcessManagerException

          protected ProcessManagerException​(String caller,
                                            int level,
                                            String message)

      Set the caller, the level and the error message. Used only by the FatalProcessManagerException

    - #### ProcessManagerException

          protected ProcessManagerException​(String caller,
                                            int level,
                                            String message,
                                            Exception nestedException)

      Set the caller, the level, the error message and the nested exception. Used only by the FatalProcessManagerException

    - #### ProcessManagerException

          protected ProcessManagerException​(String caller,
                                            int level,
                                            String message,
                                            String infos)

      Set the caller, the level, the error message and infos. Used only by the FatalProcessManagerException

    - #### ProcessManagerException

          protected ProcessManagerException​(String caller,
                                            int level,
                                            String message,
                                            String infos,
                                            Exception nestedException)

      Set the caller, the level, the error message, infos and the nested exception. Used only by the FatalProcessManagerException

  - ### Method Detail

    - #### getModule

          public String getModule()

      Returns the module name.
      Specified by:
        `getModule` in interface `org.silverpeas.core.exception.FromModule`
      Specified by:
        `getModule` in class `org.silverpeas.core.exception.SilverpeasException`